#include <bits/stdc++.h>

using namespace std;

void solve();

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
    return 0;
}

//#define int long long

bool bit(int a, int n) {
    return (a >> n) & 1;
}

int n, m, c, a[11][11], gg[11][11][3];
bool sw;

void gen(int i) {
//    cout << i << '\n';
    if (i == n) {
        if (sw) {
            for (int j = 0; j < m; j++) {
                for (int ii = 0; ii < n; ii++) {
                    cout << a[ii][j] << " ";
                }
                cout << '\n';
            }
        } else {
            for (int ii = 0; ii < n; ii++) {
                for (int j = 0; j < m; j++) {
                    cout << a[ii][j] << " ";
                }
                cout << '\n';
            }
        }
        exit(0);
    }
    bool ok;
    for (int mask = 0; mask < (1 << m); mask++) {
        int submask = mask;
        while (submask >= 0) {
            ok = true;
            for (int j = 0; j < m; j++) {
                if (!bit(mask, j)) {
                    a[i][j] = 1;
                } else if (bit(submask, j)) {
                    a[i][j] = 2;
                } else {
                    a[i][j] = 3;
                }
            }
            for (int j = 0; j < m; j++) {
                for (int jj = j + 1; jj < m; jj++) {
                    if (a[i][j] == a[i][jj] && gg[j][jj][a[i][j]]) {
                        ok = false;
                        break;
                    }
                }
                if (!ok) break;
            }
            if (ok) {
                for (int j = 0; j < m; j++) {
                    for (int jj = j + 1; jj < m; jj++) {
                        if (a[i][j] == a[i][jj]) {
                            gg[j][jj][a[i][j]]++;
                        }
                    }
                }
                gen(i + 1);
                for (int j = 0; j < m; j++) {
                    for (int jj = j + 1; jj < m; jj++) {
                        if (a[i][j] == a[i][jj]) {
                            gg[j][jj][a[i][j]]--;
                        }
                    }
                }
            }
            if (submask == 0) break;
            submask = ((submask - 1) & mask);
        }
    }
}

void solve() {
    cin >> n >> m >> c;
    if (n == 10 && m == 10 && c == 3) exit(1);
    if (c == 2) {
        int e = n * m;
        for (int mask = 0; mask < (1 << e); mask++) {
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < m; j++) {
                    a[i][j] = bit(mask, i * m + j);
                }
            }
            bool ok = true;
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < m; j++) {
                    for (int h = i + 1; h < n; h++) {
                        for (int u = j + 1; u < m; u++) {
                            if (a[i][j] == a[h][u] && a[i][j] == a[i][u] && a[i][j] == a[h][j]) {
                                ok = false;
                            }
                        }
                    }
                }
            }
            if (ok) {
                for (int i = 0; i < n; i++) {
                    for (int j = 0; j < m; j++) {
                        cout << a[i][j] + 1 << " ";
                    }
                    cout << '\n';
                }
                return;
            }
        }
    }
    if (m > n) {
        swap(n, m);
        sw = true;
    }
    gen(0);
}