#include <bits/stdc++.h>

using namespace std;

void solve();

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
    return 0;
}

#define int long long

bool bit(int a, int n) {
    return (a >> n) & 1;
}

int n, m, c, a[11][11];

void solve() {
    cin >> n >> m >> c;
    int e = n * m;
    if (c == 3) exit(1);
    for (int mask = 0; mask < (1 << e); mask++) {
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < m; j++) {
                a[i][j] = bit(mask, i * m + j);
            }
        }
        bool ok = true;
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < m; j++) {
                for (int h = i + 1; h < n; h++) {
                    for (int u = j + 1; u < m; u++) {
                        if (a[i][j] == a[h][u] && a[i][j] == a[i][u] && a[i][j] == a[h][j]) {
                            ok = false;
                        }
                    }
                }
            }
        }
        if (ok) {
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < m; j++) {
                    cout << a[i][j] + 1 << " ";
                }
                cout << '\n';
            }
            return;
        }
    }
}