#include <bits/stdc++.h>

using namespace std;

void solve();

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
    return 0;
}

#define int long long

const int N = 2e5 + 100, INF = 1e18, MOD = 1e9 + 7;

int binpow(int a, int n) {
    if (n == 0) return 1;
    if (n % 2 == 0) {
        int b = binpow(a, n / 2);
        return b * b % MOD;
    } else {
        return binpow(a, n - 1) * a % MOD;
    }
}

int n, a[N], b[N], c[N], cnt[2][2], fc[2 * N];
pair <int, int> t[N];

int C(int n, int k) {
    if (k < 0) return 1;
    return fc[n] * binpow((fc[n - k] * fc[k] % MOD), MOD - 2);
}

int Ca(int n, int k) {
    if (k < 0) return 1;
    return C(n + k - 1, k);
}

int f(int q, int w, int e, int u) { // 00 10 01 11
    return fc[w + (n - w - e - u)] * binpow(w, u) % MOD;
}

void solve() {
    fc[0] = 1;
    for (int i = 1; i < 2 * N; i++) {
        fc[i] = fc[i - 1] * i % MOD;
    }
    string q, w, e;
    cin >> q >> w >> e;
    n = q.size();
    for (int i = 0; i < n; i++) {
        a[i] = q[i] - '0';
        b[i] = w[i] - '0';
        c[i] = e[i] - '0';
    }
    for (int i = 0; i < n; i++) {
        int f = 0, s = 0;
        if ((a[i] + b[i]) % 10 == c[i]) {
            f = 0;
        } else if ((a[i] + b[i] + 1) % 10 == c[i]) {
            f = 1;
        } else {
            cout << 0;
            return;
        }
        s = (a[i] + b[i] + f) / 10;
        cnt[f][s]++;
        t[i] = {f, s};
    }
    if (cnt[1][0] != cnt[0][1]) {
        cout << 0;
        return;
    }
    int x = cnt[1][0], sum = cnt[1][0] + cnt[0][1] + cnt[1][1];
//    int ans = fc[cnt[0][0]] * fc[x] % MOD;
//    ans = ans * C(n - sum + x, x) % MOD;
//    cout << ans;
    int ans = fc[x + (n - sum)];
    ans = ans * fc[cnt[0][1]] % MOD;
    ans = ans * fc[cnt[1][1]] % MOD;
    ans = ans * Ca(cnt[1][1] + 1, x - 1) % MOD;
//    int ans = f(cnt[0][0], cnt[1][0], cnt[0][1], cnt[1][1]);
//    for (int i = 0; i < n; i++) {
//        if (a[i] == 0 || b[i] == 0 || c[i] == 0) {
//            if ((t[i].first == 1 && t[i].second == 0) || (t[i].first == 0 && t[i].second == 0)) {
//                ans -= fc[x + (n - sum - 1)] * binpow(x, cnt[1][1]) % MOD;
//                ans = (ans + MOD) % MOD;
//            }
//        }
//    }
//    cout << ans;

//    cout << endl;
    vector<int> perm;
    for (int i = 0; i < n; i++) {
        perm.push_back(i);
    }
    int tans = 0;
    do {
        int e = 0;
        bool ok = true;
        for (int i = n - 1; i >= 0; i--) {
            if ((a[perm[i]] + b[perm[i]] + e) % 10 != c[perm[i]]) {
                ok = false;
                break;
            }
            e = (a[perm[i]] + b[perm[i]] + e) / 10;
        }
        if (e > 0) ok = false;
        if (a[perm[0]] == 0 || b[perm[0]] == 0 || c[perm[0]] == 0) ok = false;
        if (ok) tans++;
    } while(next_permutation(perm.begin(), perm.end()));
    cout << tans;
}