#include <bits/stdc++.h>

using namespace std;

void solve();

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
    return 0;
}

#define int long long

const int N = 2e5 + 100, INF = 1e18;

int t, n, m, c, sum;

int fv(int mid) {
    mid--;
    return mid * (mid + 1) / 2 + n * (n - 1) * m;
}

int fh(int mid) {
    mid--;
    int e = mid * m;
    return e * (e + 1) / 2;
}

void solve() {
    cin >> t;
    while (t--) {
        cin >> n >> m;
        c = n * m;
        sum = c * (c + 1) / 2;
        int ans1 = INF, an1 = -1, ans2 = INF, an2 = -1;
        int l = 1, r = n;
        while (l + 1 < r) {
            int mid = (r + l) / 2;
            if (fh(mid) <= sum - fh(mid)) {
                l = mid;
            } else {
                r = mid;
            }
        }
        an1 = l;
        ans1 = sum - 2 * fh(l);
        if (l + 1 <= m) {
            if (ans1 > abs(sum - 2 * fh(l + 1))) {
                ans1 = abs(sum - 2 * fh(l + 1));
                an1 = l + 1;
            }
        }
        l = 1, r = m;
        while (l + 1 < r) {
            int mid = (r + l) / 2;
            if (fv(mid) <= sum - fv(mid)) {
                l = mid;
            } else {
                r = mid;
            }
        }
//        cout << ans1 << " " << fv(1) << " " << fv(2) << " " << fv(3) << " " << sum << endl;
        an2 = l;
        ans2 = sum - 2 * fv(l);
        if (l + 1 <= n) {
            if (ans2 > abs(sum - 2 * fv(l + 1))) {
                ans2 = abs(sum - 2 * fv(l + 1));
                an2 = l + 1;
            }
        }
        if (ans1 < ans2) {
            cout << "H " << an1 << '\n';
        } else {
            cout << "V " << an2 << '\n';
        }
    }
}
