#include <bits/stdc++.h>

using namespace std;

void solve();

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
    return 0;
}

#define int long long

const int N = 2e5 + 100, INF = 1e18;

int n, t1, pos1, ans1, t2, pos2, ans2;
char c1, c2, e[] = {'A', 'C', 'G', 'T'};
string s;
vector < pair < int, char > > a;

int len(int x) {
    int res = 0;
    if (x == 1) return 0;
    while (x > 0) {
        x /= 10;
        res++;
    }
    return res;
}

char g(int pos) {
    int res = 0;
    while (e[res] == a[pos].second || (pos > 0 && e[res] == a[pos - 1].second) || (pos + 1 < a.size() && e[res] == a[pos + 1].second)) {
        res++;
    }
    return e[res];
}

void f1(int val, int t, int pos, char c) {
    if (ans1 < val) {
        t1 = t;
        pos1 = pos;
        c1 = c;
        ans1 = val;
    }
}

void f2(int val, int t, int pos, char c) {
    if (ans2 > val) {
        t2 = t;
        pos2 = pos;
        c2 = c;
        ans2 = val;
    }
}

vector<pair<int, char>> fstv(string s) {
    vector<pair<int, char>> v;
    n = s.size();
    for (int i = 0; i < n; i++) {
        if (s[i] >= '0' && s[i] <= '9') {
            int cur = 0, l;
            for (int j = i; j < n; j++) {
                if (s[j] >= '0' && s[j] <= '9') {
                    cur = cur * 10 + s[j] - '0';
                } else {
                    l = j;
                    break;
                }
            }
            v.push_back({cur, s[l]});
            i = l;
        } else {
            v.push_back({1, s[i]});
        }
    }
    return v;
}

string fvts(vector<pair<int, char>> &v) {
    string res = "";
    for (int i = 0; i < v.size(); i++) {
        for (int j = 0; j < v[i].first; j++) {
            res.push_back(v[i].second);
        }
    }
    return res;
}

int glen(string s) {
    vector<pair<int, char>> v = fstv(s);
    int res = 0;
    for (int i = 0; i < v.size(); i++) {
        res += len(v[i].first) + 1;
    }
    return res;
}

int f(string s, int t, int pos, char c) {
    int w = glen(s);
    if (t == 1) {
        s.insert(s.begin() + pos, c);
        return glen(s) - w;
    } else if (t == 2) {
        s.erase(s.begin() + pos - 1);
        return glen(s) - w;
    } else {
        s[pos - 1] = c;
        return glen(s) - w;
    }
}

void solve() {
    cin >> s;
    a = fstv(s);
    int sum = 0;
    for (int i = 0; i < a.size(); i++) {
        if (a[i].first == 1) {
            f2(-1, 2, sum + 1, 'a');
            if (i > 0 && i + 1 < a.size() && a[i - 1].second == a[i + 1].second) {
                int o = len(a[i - 1].first) + 1 + len(a[i].first) + 1 + len(a[i + 1].first) + 1;
                int q = len(a[i - 1].first + a[i + 1].first) + 1;
                f2(q - o, 2, sum + 1, 'a');
            }
        } else {
            f2(len(a[i].first - 1) - len(a[i].first), 2, sum + 1, 'a');
        }
        sum += a[i].first;
    }
    f1(1, 1, 0, g[0]);
    sum = 0;
    for (int i = 0; i < a.size(); i++) {
        for (int j = 1; j < 1000; j++) {
            if (a[i].first > j) {
                f1(len(j) + 1 + 1 + len(a[i].first - j) + 1 - len(a[i].first) - 1, 1, sum + j, g(i));
            }
        }
        for (int j = 1; j < 100000000000; j *= 10) {
            if (a[i].first > j) {
                f1(len(j) + 1 + 1 + len(a[i].first - j) + 1 - len(a[i].first) - 1, 1, sum + j, g(i));
            }
        }
        sum += a[i].first;
    }
    cout << t2 << " " << pos2 << '\n';
    cout << t1 << " " << pos1 << " " << c1 << '\n';
}
