#include <bits/stdc++.h>

using namespace std;

void solve();

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
    return 0;
}

#define int long long

const int N = 2e5 + 100, INF = 1e18;

int n, sum[N];
vector < pair < int, int > > a;
bool used[N];

void solve() {
    cin >> n;
    if (n == 1) {
        cout << "Yes\n1";
        return;
    }
    a.resize(n);
    for (int i = 0; i < n; i++) {
        int m, s;
        cin >> m >> a[i].second >> a[i].first;
        a[i].second -= a[i].first;
    }
    for (int s = 0; s < n; s++) {
        for (int f = 0; f < n; f++) {
            if (f == s) continue;
            int l = 0;
            for (int i = 0; i < n; i++) {
                if (i != s) l += a[i].first;
                if (i != f) l += a[i].second;
            }
            if (l % (n - 1) != 0) continue;
            l /= n - 1;
            int cur = s;
            fill(used, used + n, false);
            vector < int > ans;
            ans.push_back(s);
            used[s] = true;
            used[f] = true;
            for (int j = 0; j < n - 1; j++) {
                for (int i = 0; i < n; i++) {
                    if (used[i]) continue;
                    if (a[cur].second + a[i].first == l) {
                        used[i] = true;
                        cur = i;
                        ans.push_back(i);
                    }
                }
            }
            if (ans.size() == n - 1 && a[ans.back()].second + a[f].first == l) {
                ans.push_back(f);
                cout << "Yes" << '\n';
                for (int i = 0; i < ans.size(); i++) {
                    cout << ans[i] + 1 << " ";
                }
                return;
            }
        }
    }
    cout << "No";
}
